<div *ngFor="let messg of messages">
    <div *ngIf="id == messg.id">
        <b>Me</b>
        <p>{{messg.message}}</p>
        <i>{{messg.timeStamp | date:'medium'}}</i>
    </div>
    <div *ngIf="id != messg.id">
        <b>{{messg.name}}</b>
        <p>{{messg.message}}</p>
        <i>{{messg.timeStamp | date:'medium'}}</i>
    </div>
    <hr>
</div>

<div style="position: absolute;bottom: 0 !important;">
    <textarea name="" id="" cols="30" rows="5" [(ngModel)]="currentMessage"></textarea>
    <button style="margin-left: 20px; padding-top: -50px; margin-bottom: 20px;" [disabled]="currentMessage === ''" (click)="sendMessage()">Send
        Message</button>
    <button (click)="clearMessages()">Clear All Messages</button>
</div>